Index: /trunk/Cosmo/RadioBeam/brsrc.cc
===================================================================
--- /trunk/Cosmo/RadioBeam/brsrc.cc	(revision 3571)
+++ /trunk/Cosmo/RadioBeam/brsrc.cc	(revision 3572)
@@ -118,6 +118,6 @@
 NTuple BRSourceGen::Convert2Table(double freq0)
 {
-  char* nomsntsrc[9] = {"num","freq","freqred","amp","angrad","angdeg","phase",
-			"angyrad","angymin"};
+  const char* nomsntsrc[9] = {"num","freq","freqred","amp","angrad","angdeg","phase",
+                              "angyrad","angymin"};
   NTuple nt(9, nomsntsrc);
   double xnt[15];
Index: /trunk/Cosmo/RadioBeam/multicyl.cc
===================================================================
--- /trunk/Cosmo/RadioBeam/multicyl.cc	(revision 3571)
+++ /trunk/Cosmo/RadioBeam/multicyl.cc	(revision 3572)
@@ -33,5 +33,5 @@
 
 //-----------------------------------------------------------------------------
-MultiCylinders::MultiCylinders(char* fileName)
+MultiCylinders::MultiCylinders(const char* fileName)
 {
   adfg_ = false; src_ = NULL;
Index: /trunk/Cosmo/RadioBeam/multicyl.h
===================================================================
--- /trunk/Cosmo/RadioBeam/multicyl.h	(revision 3571)
+++ /trunk/Cosmo/RadioBeam/multicyl.h	(revision 3572)
@@ -28,5 +28,5 @@
   //   longueur @ f=2 ~ 64 (256*lambda/2 = 256*0.25)
  MultiCylinders(int nr=256, int ns=1024);
- MultiCylinders(char* filename);
+ MultiCylinders(const char* filename);
  ~MultiCylinders();
 
Index: /trunk/Cosmo/RadioBeam/treccyl.cc
===================================================================
--- /trunk/Cosmo/RadioBeam/treccyl.cc	(revision 3571)
+++ /trunk/Cosmo/RadioBeam/treccyl.cc	(revision 3572)
@@ -36,5 +36,5 @@
 static int test1cyl(string& ppfname);
 static int testmulticyl(string& ppfname);
-int ReadParam(char* fileName);
+int ReadParam(const char* fileName);
 
 //-----------------------------------------------------------
@@ -285,5 +285,5 @@
 
 //---------------------------------------------------------------------
-int ReadParam(char* fileName)
+int ReadParam(const char* fileName)
 {  
   DataCards dc;
Index: /trunk/Cosmo/SimLSS/cmvchkwhu.cc
===================================================================
--- /trunk/Cosmo/SimLSS/cmvchkwhu.cc	(revision 3571)
+++ /trunk/Cosmo/SimLSS/cmvchkwhu.cc	(revision 3572)
@@ -48,5 +48,5 @@
 
  const int n = 11;
- char *vname[n] = {"k","tf","tfnw","tfnb","tfc","tfb"
+ const char *vname[n] = {"k","tf","tfnw","tfnb","tfc","tfb"
                   ,"hutf","hutfnw","hutfnb","hutfc","hutfb"};
  NTuple nt(n,vname);
Index: /trunk/Cosmo/SimLSS/cmvfitpk.cc
===================================================================
--- /trunk/Cosmo/SimLSS/cmvfitpk.cc	(revision 3571)
+++ /trunk/Cosmo/SimLSS/cmvfitpk.cc	(revision 3572)
@@ -133,5 +133,5 @@
  POutPersist pos("cmvfitpk.ppf");
  const int nvar = 2*npar+1;
- char *vname[nvar] = {
+ const char *vname[nvar] = {
        "xi2"
        ,"b","a","oc","ob","ol","h","n"
Index: /trunk/Cosmo/SimLSS/cmvsinxsx.cc
===================================================================
--- /trunk/Cosmo/SimLSS/cmvsinxsx.cc	(revision 3571)
+++ /trunk/Cosmo/SimLSS/cmvsinxsx.cc	(revision 3572)
@@ -75,5 +75,5 @@
  //--- Create NTuple
  const int nvar = 11;
- char *vname[nvar] = {"t","s","sn","sx","sx2","snx","snx2","asx","asx2","asnx","asnx2"};
+ const char *vname[nvar] = {"t","s","sn","sx","sx2","snx","snx2","asx","asx2","asnx","asnx2"};
  double xnt[nvar];
  NTuple nt(nvar,vname);
Index: /trunk/Cosmo/SimLSS/cmvtgrowth.cc
===================================================================
--- /trunk/Cosmo/SimLSS/cmvtgrowth.cc	(revision 3571)
+++ /trunk/Cosmo/SimLSS/cmvtgrowth.cc	(revision 3572)
@@ -35,5 +35,5 @@
 
  const int n = 2;
- char *vname[n] = {"z","d1"};
+ const char *vname[n] = {"z","d1"};
  NTuple nt(n,vname);
  double xnt[n];
Index: /trunk/Cosmo/SimLSS/cmvtluc.cc
===================================================================
--- /trunk/Cosmo/SimLSS/cmvtluc.cc	(revision 3571)
+++ /trunk/Cosmo/SimLSS/cmvtluc.cc	(revision 3572)
@@ -56,5 +56,5 @@
  double norm3 = pow(norm,3.);
  const int n = 11;
- char *vname[n] = {
+ const char *vname[n] = {
    "z","hz","om","or","ol","ok","ot",
    "da","dl","dvc","vc0"
Index: /trunk/Cosmo/SimLSS/cmvtransf.cc
===================================================================
--- /trunk/Cosmo/SimLSS/cmvtransf.cc	(revision 3571)
+++ /trunk/Cosmo/SimLSS/cmvtransf.cc	(revision 3572)
@@ -79,5 +79,5 @@
 
  const int n = 6;
- char *vname[n] = {"k","t","tnosc1","tnosc2","tnob","tcmbf"};
+ const char *vname[n] = {"k","t","tnosc1","tnosc2","tnob","tcmbf"};
  NTuple nt(n,vname);
  double xnt[n];
Index: /trunk/Cosmo/SimLSS/cmvtstagn.cc
===================================================================
--- /trunk/Cosmo/SimLSS/cmvtstagn.cc	(revision 3571)
+++ /trunk/Cosmo/SimLSS/cmvtstagn.cc	(revision 3572)
@@ -158,5 +158,5 @@
 
 del ntjack
-c++exec char *vname[2] = {"x","y"}; double xnt[2]; \
+c++exec const char *vname[2] = {"x","y"}; double xnt[2]; \
 NTuple ntjack(2,vname); \
 for(int i=0;i<xjack.Size();i++) \
Index: /trunk/Cosmo/SimLSS/cmvtstblack.cc
===================================================================
--- /trunk/Cosmo/SimLSS/cmvtstblack.cc	(revision 3571)
+++ /trunk/Cosmo/SimLSS/cmvtstblack.cc	(revision 3572)
@@ -267,5 +267,5 @@
 
  const int n = 14;
- char *vname[n] = {"f","l","prf","prl","pdf","pdl","rrf","rrl","rdf","rdl","wrf","wrl","wdf","wdl"};
+ const char *vname[n] = {"f","l","prf","prl","pdf","pdl","rrf","rrl","rdf","rdl","wrf","wrl","wdf","wdl"};
  NTuple nt(n,vname);
  double xnt[n];
Index: /trunk/Cosmo/SimLSS/cmvtstpk.cc
===================================================================
--- /trunk/Cosmo/SimLSS/cmvtstpk.cc	(revision 3571)
+++ /trunk/Cosmo/SimLSS/cmvtstpk.cc	(revision 3572)
@@ -119,5 +119,5 @@
  //--------------------------
  const int n = 14;
- char *vname[n] = {
+ const char *vname[n] = {
    "k","pkini",
    "tf","pk0","pk",
Index: /trunk/Cosmo/SimLSS/cmvtstsch.cc
===================================================================
--- /trunk/Cosmo/SimLSS/cmvtstsch.cc	(revision 3571)
+++ /trunk/Cosmo/SimLSS/cmvtstsch.cc	(revision 3572)
@@ -169,5 +169,5 @@
  //-------
  const int n = 3;
- char *vname[n] = {"m","f","mf"};
+ const char *vname[n] = {"m","f","mf"};
  NTuple nt(n,vname);
  double xnt[n];
Index: /trunk/Cosmo/SimLSS/cmvtuniv.cc
===================================================================
--- /trunk/Cosmo/SimLSS/cmvtuniv.cc	(revision 3571)
+++ /trunk/Cosmo/SimLSS/cmvtuniv.cc	(revision 3572)
@@ -184,5 +184,5 @@
  double norm3 = pow(norm,3.);
  const int n = 15;
- char *vname[n] = {
+ const char *vname[n] = {
    "z","hz","om","or","ol","ok","ot","ob",
    "dtc","dlc","da","dl",
@@ -269,5 +269,5 @@
 
  const int n = 8;
- char *vname[n] = {"z","d","di","dl","dp","zi","zl","zp"};
+ const char *vname[n] = {"z","d","di","dl","dp","zi","zl","zp"};
  NTuple nt(n,vname);
  double xnt[n];
Index: /trunk/Cosmo/SimLSS/cmvtvarspec.cc
===================================================================
--- /trunk/Cosmo/SimLSS/cmvtvarspec.cc	(revision 3571)
+++ /trunk/Cosmo/SimLSS/cmvtvarspec.cc	(revision 3572)
@@ -130,5 +130,5 @@
 //-----------------------------------------------------------------
  const int n = 2;
- char *vname[n] = {"k","pk"};
+ const char *vname[n] = {"k","pk"};
  NTuple nt(n,vname);
  double xnt[n];
Index: /trunk/Cosmo/SimLSS/genefluct3d.cc
===================================================================
--- /trunk/Cosmo/SimLSS/genefluct3d.cc	(revision 3571)
+++ /trunk/Cosmo/SimLSS/genefluct3d.cc	(revision 3572)
@@ -106,5 +106,5 @@
                 <<" D="<<dx<<","<<dy<<","<<dz<<endl;
  if(nx<=0 || dx<=0.) {
-   char *bla = "GeneFluct3D::setsize_Error: bad value(s) for nn/dx";
+   const char *bla = "GeneFluct3D::setsize_Error: bad value(s) for nn/dx";
    cout<<bla<<endl; throw ParmError(bla);
  }
@@ -228,5 +228,5 @@
  if(kredshref<0.) {
    if(Nz_<=0) {
-     char *bla = "GeneFluct3D::SetObservator_Error: for kredsh_ref<0 define cube geometry first";
+     const char *bla = "GeneFluct3D::SetObservator_Error: for kredsh_ref<0 define cube geometry first";
      cout<<bla<<endl; throw ParmError(bla);
    }
@@ -265,5 +265,5 @@
 
  if(cosmo_ == NULL || redsh_ref_<0.) {
-   char *bla = "GeneFluct3D::LosComRedshift_Error: set Observator and Cosmology first";
+   const char *bla = "GeneFluct3D::LosComRedshift_Error: set Observator and Cosmology first";
    cout<<bla<<endl; throw ParmError(bla);
  }
@@ -561,5 +561,5 @@
   else if(array_type==2) nvar = 4;
   else return;
-  char *vname[4] = {"t","z","re","im"};
+  const char *vname[4] = {"t","z","re","im"};
   float xnt[4];
   NTuple nt(nvar,vname);
@@ -852,14 +852,14 @@
 
  if(growth_ == NULL) {
-   char *bla = "GeneFluct3D::ApplyGrowthFactor_Error: set GrowthFactor first";
+   const char *bla = "GeneFluct3D::ApplyGrowthFactor_Error: set GrowthFactor first";
    cout<<bla<<endl; throw ParmError(bla);
  }
  if(type_evol<1 || type_evol>2) {
-   char *bla = "GeneFluct3D::ApplyGrowthFactor_Error: bad type_evol value";
+   const char *bla = "GeneFluct3D::ApplyGrowthFactor_Error: bad type_evol value";
    cout<<bla<<endl; throw ParmError(bla);
  }
 
  InterpFunc interpinv(loscom2zred_min_,loscom2zred_max_,loscom2zred_);
- unsigned short ok;
+ //unsigned short ok;
 
  //CHECK: Histo hgr(0.9*zred_[0],1.1*zred_[n-1],1000);
@@ -1421,5 +1421,5 @@
  if(type_evol<0) type_evol = 0;
  if(type_evol>2) {
-   char *bla = "GeneFluct3D::AddNoise2Real_Error: bad type_evol value";
+   const char *bla = "GeneFluct3D::AddNoise2Real_Error: bad type_evol value";
    cout<<bla<<endl; throw ParmError(bla);
  }
@@ -1436,5 +1436,5 @@
    //      Mlim ~ sqrt(DNu) * (Dlum)^2 / Dtrcom
    if(cosmo_ == NULL || redsh_ref_<0.| loscom2zred_.size()<1) {
-     char *bla = "GeneFluct3D::AddNoise2Real_Error: set Observator and Cosmology first";
+     const char *bla = "GeneFluct3D::AddNoise2Real_Error: set Observator and Cosmology first";
      cout<<bla<<endl; throw ParmError(bla);
    }
Index: /trunk/FrEROS/AnaLC/anafsv.cc
===================================================================
--- /trunk/FrEROS/AnaLC/anafsv.cc	(revision 3571)
+++ /trunk/FrEROS/AnaLC/anafsv.cc	(revision 3572)
@@ -64,5 +64,5 @@
 
 
-char *Pgnm = "hanafsv";
+const char *Pgnm = "hanafsv";
 
 int main(int narg, char *arg[] )
Index: /trunk/FrEROS/AnaLC/courbe_nb.cc
===================================================================
--- /trunk/FrEROS/AnaLC/courbe_nb.cc	(revision 3571)
+++ /trunk/FrEROS/AnaLC/courbe_nb.cc	(revision 3572)
@@ -7,5 +7,5 @@
 
 /*==============================================================*/
-FILE *CreCourbe(char *str)
+FILE *CreCourbe(const char *str)
 /*
 Pour ouvrir le fichier COURBE_NB_FILE avec le nom "str".
Index: /trunk/FrEROS/AnaLC/courbe_nb.h
===================================================================
--- /trunk/FrEROS/AnaLC/courbe_nb.h	(revision 3571)
+++ /trunk/FrEROS/AnaLC/courbe_nb.h	(revision 3572)
@@ -16,5 +16,5 @@
 
 FILE *CreCourbe(int et);
-FILE *CreCourbe(char *);
+FILE *CreCourbe(const char *str);
 void FillCourbe(int et,int coul
               ,float t,float flx,float eflx,float flb,float eflb
Index: /trunk/FrEROS/AnaLC/lcproc.cc
===================================================================
--- /trunk/FrEROS/AnaLC/lcproc.cc	(revision 3571)
+++ /trunk/FrEROS/AnaLC/lcproc.cc	(revision 3572)
@@ -47,5 +47,5 @@
 
   // We have to check that  fgbad has been filled
-  if (fgbad.size() < nmes) 
+  if ((int)fgbad.size() < nmes) 
     for(int kb=fgbad.size(); kb<nmes; kb++) fgbad.push_back(0);
 
Index: /trunk/FrEROS/AnaLC/nbsreadu_base.cc
===================================================================
--- /trunk/FrEROS/AnaLC/nbsreadu_base.cc	(revision 3571)
+++ /trunk/FrEROS/AnaLC/nbsreadu_base.cc	(revision 3572)
@@ -51,5 +51,5 @@
 
 // Create NTuple
-char *nament[NXNT] = {
+const char *nament[NXNT] = {
       "et","xref","flr","dm1","dm21","xp","yp","npt"
      ,"mean","sig","sigi"
Index: /trunk/FrEROS/AnaLC/nbsreadu_bosse.cc
===================================================================
--- /trunk/FrEROS/AnaLC/nbsreadu_bosse.cc	(revision 3571)
+++ /trunk/FrEROS/AnaLC/nbsreadu_bosse.cc	(revision 3572)
@@ -59,5 +59,5 @@
 
 // Create NTuple
-char *nament[NXNT] = {
+const char *nament[NXNT] = {
       "etr","etb","fr","fb",
       "dmin1","dmin2","dm21","dm22",
Index: /trunk/FrEROS/AnaLC/nbsreadu_ppf.cc
===================================================================
--- /trunk/FrEROS/AnaLC/nbsreadu_ppf.cc	(revision 3571)
+++ /trunk/FrEROS/AnaLC/nbsreadu_ppf.cc	(revision 3572)
@@ -64,5 +64,5 @@
  // Fill TimeInfoU into NTuple
  const int nxtn = 12;
- char *nament[nxtn] =
+ const char *nament[nxtn] =
    {"ts","texp","fd","sfd","sx","sy","rho","dx","dy","absor","amass","fgcal"};
  r_8 xnt[nxtn];
@@ -94,5 +94,5 @@
  // Create NTuple for StarInfo
  const int nsti = 12;
- char *namentsti[nsti] =
+ const char *namentsti[nsti] =
    {"net","xref","fmean","fsig","fref","xp","yp","dm","dm2","dm2r","fgref","nbvois"};
  for(int ic=0;ic<NCOULMX;ic++) {
@@ -138,5 +138,5 @@
 
    const int nxtn = 15;
-   char *nament[nxtn] =
+   const char *nament[nxtn] =
      {"ic",
       "ts","fd","sx","sy","rho",
Index: /trunk/FrEROS/AnaLC/nomfits2.c
===================================================================
--- /trunk/FrEROS/AnaLC/nomfits2.c	(revision 3571)
+++ /trunk/FrEROS/AnaLC/nomfits2.c	(revision 3572)
@@ -93,5 +93,5 @@
 /*
 ++
-unsigned long int decode_zeza(char* s, int i1, int i2)
+unsigned long int decode_zeza(const char* s, int i1, int i2)
 	Pour coder (Rc) en entier decimal la chaine de caracteres
 	comprise entre `s[i1]' et `s[i2]' interpretee comme
@@ -99,5 +99,5 @@
 --
 */
-unsigned long int decode_zeza(char* s, int i1, int i2)
+unsigned long int decode_zeza(const char* s, int i1, int i2)
 {
   unsigned long int D, ibase = 1;
@@ -247,5 +247,5 @@
 /*
 ++
-int Test_NoCorrupt(char *flnm)
+int Test_NoCorrupt(const char *flnm)
 	Test pour voir si le fichier Fits de nom `flnm' n'est
 	pas corrompu.
@@ -260,5 +260,5 @@
 --
 */
-int Test_NoCorrupt(char *flnm)
+int Test_NoCorrupt(const char *flnm)
 {
 int lp=0;
Index: /trunk/FrEROS/AnaLC/nomfits2.h
===================================================================
--- /trunk/FrEROS/AnaLC/nomfits2.h	(revision 3571)
+++ /trunk/FrEROS/AnaLC/nomfits2.h	(revision 3572)
@@ -13,10 +13,10 @@
 /* --- fin ajout depuis Peida/LibsUtil/datime.h ----- */
 
-unsigned long int decode_zeza(char* s, int i1, int i2);
+unsigned long int decode_zeza(const char* s, int i1, int i2);
 char * dec2zeza(unsigned long z, char *s, int n);
 int qSort_fits2(const void *x1,const void *x2);
 
 /* CMV: test des conneries du serveur MG ! */
-int Test_NoCorrupt(char *flnm);
+int Test_NoCorrupt(const char *flnm);
 
 /* codage de la date/tsid dans timeinfo */
Index: /trunk/SophyaExt/FitsIOServer/Makefile
===================================================================
--- /trunk/SophyaExt/FitsIOServer/Makefile	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/Makefile	(revision 3572)
@@ -4,8 +4,8 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)datacirclefits.o $(SOPHYAOBJP)fabtcolread.o $(SOPHYAOBJP)fabtwriter.o $(SOPHYAOBJP)fboloread.o $(SOPHYAOBJP)fbtntintf.o $(SOPHYAOBJP)fiosinit.o $(SOPHYAOBJP)fitsautoreader.o $(SOPHYAOBJP)fitsbntbllineRW.o $(SOPHYAOBJP)fitsfile.o $(SOPHYAOBJP)fitsgenedata.o $(SOPHYAOBJP)fitshdtable.o $(SOPHYAOBJP)fitshisterr.o $(SOPHYAOBJP)fitshistos.o $(SOPHYAOBJP)fitsinoutfile.o $(SOPHYAOBJP)fitslocalmap.o $(SOPHYAOBJP)fitsmanager.o $(SOPHYAOBJP)fitsntuple.o $(SOPHYAOBJP)fitsspherehealpix.o $(SOPHYAOBJP)fitsspherethetaphi.o $(SOPHYAOBJP)fitstarray.o $(SOPHYAOBJP)fitsxntuple.o $(SOPHYAOBJP)swfitsdtable.o
+	 rm -f $(SOPHYAOBJP)datacirclefits.o $(SOPHYAOBJP)fabtcolread.o $(SOPHYAOBJP)fabtwriter.o $(SOPHYAOBJP)fboloread.o $(SOPHYAOBJP)fbtntintf.o $(SOPHYAOBJP)fiosinit.o $(SOPHYAOBJP)fitsbntbllineRW.o $(SOPHYAOBJP)fitsfile.o $(SOPHYAOBJP)fitsgenedata.o $(SOPHYAOBJP)fitshdtable.o $(SOPHYAOBJP)fitshisterr.o $(SOPHYAOBJP)fitshistos.o $(SOPHYAOBJP)fitsinoutfile.o $(SOPHYAOBJP)fitslocalmap.o $(SOPHYAOBJP)fitsmanager.o $(SOPHYAOBJP)fitsntuple.o $(SOPHYAOBJP)fitsspherehealpix.o $(SOPHYAOBJP)fitsspherethetaphi.o $(SOPHYAOBJP)fitstarray.o $(SOPHYAOBJP)swfitsdtable.o
 	rm -f $(SOPHYALIBP)libFitsIOServer.a
  
-$(SOPHYALIBP)libFitsIOServer.a : $(SOPHYAOBJP)datacirclefits.o $(SOPHYAOBJP)fabtcolread.o $(SOPHYAOBJP)fabtwriter.o $(SOPHYAOBJP)fboloread.o $(SOPHYAOBJP)fbtntintf.o $(SOPHYAOBJP)fiosinit.o $(SOPHYAOBJP)fitsautoreader.o $(SOPHYAOBJP)fitsbntbllineRW.o $(SOPHYAOBJP)fitsfile.o $(SOPHYAOBJP)fitsgenedata.o $(SOPHYAOBJP)fitshdtable.o $(SOPHYAOBJP)fitshisterr.o $(SOPHYAOBJP)fitshistos.o $(SOPHYAOBJP)fitsinoutfile.o $(SOPHYAOBJP)fitslocalmap.o $(SOPHYAOBJP)fitsmanager.o $(SOPHYAOBJP)fitsntuple.o $(SOPHYAOBJP)fitsspherehealpix.o $(SOPHYAOBJP)fitsspherethetaphi.o $(SOPHYAOBJP)fitstarray.o $(SOPHYAOBJP)fitsxntuple.o $(SOPHYAOBJP)swfitsdtable.o
+$(SOPHYALIBP)libFitsIOServer.a : $(SOPHYAOBJP)datacirclefits.o $(SOPHYAOBJP)fabtcolread.o $(SOPHYAOBJP)fabtwriter.o $(SOPHYAOBJP)fboloread.o $(SOPHYAOBJP)fbtntintf.o $(SOPHYAOBJP)fiosinit.o $(SOPHYAOBJP)fitsbntbllineRW.o $(SOPHYAOBJP)fitsfile.o $(SOPHYAOBJP)fitsgenedata.o $(SOPHYAOBJP)fitshdtable.o $(SOPHYAOBJP)fitshisterr.o $(SOPHYAOBJP)fitshistos.o $(SOPHYAOBJP)fitsinoutfile.o $(SOPHYAOBJP)fitslocalmap.o $(SOPHYAOBJP)fitsmanager.o $(SOPHYAOBJP)fitsntuple.o $(SOPHYAOBJP)fitsspherehealpix.o $(SOPHYAOBJP)fitsspherethetaphi.o $(SOPHYAOBJP)fitstarray.o $(SOPHYAOBJP)swfitsdtable.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libextsophya.objlist
@@ -184,53 +184,4 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiosinit.cc
  
-$(SOPHYAOBJP)fitsautoreader.o: fitsautoreader.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h fitsautoreader.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
-  fitstarray.h $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitsspherehealpix.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)HEALPixUtils.h fitsntuple.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)ppersist.h fitsxntuple.h \
-  $(SOPHYAINCP)xntuple.h fitslocalmap.h \
-  $(SOPHYAINCP)localmap.h fbtntintf.h \
-  $(SOPHYAINCP)ntupintf.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsautoreader.cc
- 
 $(SOPHYAOBJP)fitsbntbllineRW.o: fitsbntbllineRW.cc \
   $(SOPHYAINCP)sopnamsp.h \
@@ -633,30 +584,4 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitstarray.cc
  
-$(SOPHYAOBJP)fitsxntuple.o: fitsxntuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h fitsxntuple.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)xntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsxntuple.cc
- 
 $(SOPHYAOBJP)swfitsdtable.o: swfitsdtable.cc swfitsdtable.h \
   $(SOPHYAINCP)basedtable.h \
Index: /trunk/SophyaExt/FitsIOServer/fabtcolread.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fabtcolread.cc	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fabtcolread.cc	(revision 3572)
@@ -189,5 +189,5 @@
   \return value into double
 */
-double FitsOpenFile::ReadKey(fitsfile *fitsptr,char *keyname)
+double FitsOpenFile::ReadKey(fitsfile *fitsptr,const char *keyname)
 {
  if(keyname==NULL || fitsptr==NULL) return 0.;
@@ -204,5 +204,5 @@
   \return value into long
 */
-long FitsOpenFile::ReadKeyL(fitsfile *fitsptr,char *keyname)
+long FitsOpenFile::ReadKeyL(fitsfile *fitsptr,const char *keyname)
 {
  if(keyname==NULL || fitsptr==NULL) return 0;
@@ -219,5 +219,5 @@
   \return value into long long
 */
-LONGLONG FitsOpenFile::ReadKeyLL(fitsfile *fitsptr,char *keyname)
+LONGLONG FitsOpenFile::ReadKeyLL(fitsfile *fitsptr,const char *keyname)
 {
  if(keyname==NULL || fitsptr==NULL) return 0;
@@ -234,5 +234,5 @@
   \return value into string
 */
-string FitsOpenFile::ReadKeyS(fitsfile *fitsptr,char *keyname)
+string FitsOpenFile::ReadKeyS(fitsfile *fitsptr,const char *keyname)
 {
  if(keyname==NULL || fitsptr==NULL) return (string)"";
@@ -529,5 +529,5 @@
   \return value into double
 */
-double FitsABTColRd::ReadKey(char *keyname)
+double FitsABTColRd::ReadKey(const char *keyname)
 {
  return FitsOpenFile::ReadKey(GetFitsPtr(),keyname);
@@ -539,5 +539,5 @@
   \return value into long
 */
-long FitsABTColRd::ReadKeyL(char *keyname)
+long FitsABTColRd::ReadKeyL(const char *keyname)
 {
  return FitsOpenFile::ReadKeyL(GetFitsPtr(),keyname);
@@ -549,5 +549,5 @@
   \return value into long long
 */
-LONGLONG FitsABTColRd::ReadKeyLL(char *keyname)
+LONGLONG FitsABTColRd::ReadKeyLL(const char *keyname)
 {
  return FitsOpenFile::ReadKeyLL(GetFitsPtr(),keyname);
@@ -559,5 +559,5 @@
   \return value into string
 */
-string FitsABTColRd::ReadKeyS(char *keyname)
+string FitsABTColRd::ReadKeyS(const char *keyname)
 {
  return FitsOpenFile::ReadKeyS(GetFitsPtr(),keyname);
@@ -1080,5 +1080,5 @@
   \return value into double
 */
-double FitsImg2DRd::ReadKey(char *keyname)
+double FitsImg2DRd::ReadKey(const char *keyname)
 {
  return FitsOpenFile::ReadKey(GetFitsPtr(),keyname);
@@ -1090,5 +1090,5 @@
   \return value into long
 */
-long FitsImg2DRd::ReadKeyL(char *keyname)
+long FitsImg2DRd::ReadKeyL(const char *keyname)
 {
  return FitsOpenFile::ReadKeyL(GetFitsPtr(),keyname);
@@ -1100,5 +1100,5 @@
   \return value into long long
 */
-LONGLONG FitsImg2DRd::ReadKeyLL(char *keyname)
+LONGLONG FitsImg2DRd::ReadKeyLL(const char *keyname)
 {
  return FitsOpenFile::ReadKeyLL(GetFitsPtr(),keyname);
@@ -1110,5 +1110,5 @@
   \return value into string
 */
-string FitsImg2DRd::ReadKeyS(char *keyname)
+string FitsImg2DRd::ReadKeyS(const char *keyname)
 {
  return FitsOpenFile::ReadKeyS(GetFitsPtr(),keyname);
@@ -1428,5 +1428,5 @@
   \return value into double
 */
-double FitsImg3DRd::ReadKey(char *keyname)
+double FitsImg3DRd::ReadKey(const char *keyname)
 {
  return FitsOpenFile::ReadKey(GetFitsPtr(),keyname);
@@ -1438,5 +1438,5 @@
   \return value into long
 */
-long FitsImg3DRd::ReadKeyL(char *keyname)
+long FitsImg3DRd::ReadKeyL(const char *keyname)
 {
  return FitsOpenFile::ReadKeyL(GetFitsPtr(),keyname);
@@ -1448,5 +1448,5 @@
   \return value into long long
 */
-LONGLONG FitsImg3DRd::ReadKeyLL(char *keyname)
+LONGLONG FitsImg3DRd::ReadKeyLL(const char *keyname)
 {
  return FitsOpenFile::ReadKeyLL(GetFitsPtr(),keyname);
@@ -1458,5 +1458,5 @@
   \return value into string
 */
-string FitsImg3DRd::ReadKeyS(char *keyname)
+string FitsImg3DRd::ReadKeyS(const char *keyname)
 {
  return FitsOpenFile::ReadKeyS(GetFitsPtr(),keyname);
Index: /trunk/SophyaExt/FitsIOServer/fabtcolread.h
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fabtcolread.h	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fabtcolread.h	(revision 3572)
@@ -48,8 +48,8 @@
   void Print(void);
 
-  static double   ReadKey(fitsfile *fitsptr,char *keyname);
-  static long     ReadKeyL(fitsfile *fitsptr,char *keyname);
-  static LONGLONG ReadKeyLL(fitsfile *fitsptr,char *keyname);
-  static string   ReadKeyS(fitsfile *fitsptr,char *keyname);
+  static double   ReadKey(fitsfile *fitsptr,const char *keyname);
+  static long     ReadKeyL(fitsfile *fitsptr,const char *keyname);
+  static LONGLONG ReadKeyLL(fitsfile *fitsptr,const char *keyname);
+  static string   ReadKeyS(fitsfile *fitsptr,const char *keyname);
   static void   printerror(int sta);
 
@@ -78,8 +78,8 @@
   void ChangeBuffer(long blen=100,long bsens=1);
 
-  double    ReadKey(char *keyname);
-  long      ReadKeyL(char *keyname);
-  LONGLONG  ReadKeyLL(char *keyname);
-  string    ReadKeyS(char *keyname);
+  double    ReadKey(const char *keyname);
+  long      ReadKeyL(const char *keyname);
+  LONGLONG  ReadKeyLL(const char *keyname);
+  string    ReadKeyS(const char *keyname);
 
   double Read(LONGLONG n,bool usebuffer=true);
@@ -195,8 +195,8 @@
   virtual ~FitsImg2DRd();
 
-  double   ReadKey(char *keyname);
-  long     ReadKeyL(char *keyname);
-  LONGLONG ReadKeyLL(char *keyname);
-  string   ReadKeyS(char *keyname);
+  double   ReadKey(const char *keyname);
+  long     ReadKeyL(const char *keyname);
+  LONGLONG ReadKeyLL(const char *keyname);
+  string   ReadKeyS(const char *keyname);
 
   LONGLONG Read(TMatrix<uint_2>& data);
@@ -260,8 +260,8 @@
   virtual ~FitsImg3DRd();
 
-  double   ReadKey(char *keyname);
-  long     ReadKeyL(char *keyname);
-  LONGLONG ReadKeyLL(char *keyname);
-  string   ReadKeyS(char *keyname);
+  double   ReadKey(const char *keyname);
+  long     ReadKeyL(const char *keyname);
+  LONGLONG ReadKeyLL(const char *keyname);
+  string   ReadKeyS(const char *keyname);
 
   LONGLONG Read(TArray<uint_2>& data);
Index: /trunk/SophyaExt/FitsIOServer/fabtwriter.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fabtwriter.cc	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fabtwriter.cc	(revision 3572)
@@ -105,5 +105,5 @@
 
 /*! Write a double value into Fits Header */
-void FitsWriter::WriteKey(const char *keyname,double val,char* comment)
+void FitsWriter::WriteKey(const char *keyname,double val,const char* comment)
 {
  if(keyname==NULL || strlen(keyname)<=0) return;
@@ -116,5 +116,5 @@
 
 /*! Write a long value into Fits Header */
-void FitsWriter::WriteKey(const char *keyname,long val,char* comment)
+void FitsWriter::WriteKey(const char *keyname,long val,const char* comment)
 {
  if(keyname==NULL || strlen(keyname)<=0) return;
@@ -127,5 +127,5 @@
 
 /*! Write a long long value into Fits Header */
-void FitsWriter::WriteKey(const char *keyname,LONGLONG val,char* comment)
+void FitsWriter::WriteKey(const char *keyname,LONGLONG val,const char* comment)
 {
  if(keyname==NULL || strlen(keyname)<=0) return;
@@ -138,5 +138,5 @@
 
 /*! Write a string value into Fits Header */
-void FitsWriter::WriteKey(const char *keyname,string val,char* comment)
+void FitsWriter::WriteKey(const char *keyname,string val,const char* comment)
 {
  if(keyname==NULL || strlen(keyname)<=0) return;
Index: /trunk/SophyaExt/FitsIOServer/fabtwriter.h
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fabtwriter.h	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fabtwriter.h	(revision 3572)
@@ -36,13 +36,13 @@
 
   //! Write a double value in Fits header.
-  void WriteKey(const char *keyname,double val,char* comment=NULL);
+  void WriteKey(const char *keyname,double val,const char* comment=NULL);
   //! Write a long value in Fits header.
-  void WriteKey(const char *keyname,long val,char* comment=NULL);
+  void WriteKey(const char *keyname,long val,const char* comment=NULL);
   //! Write a long long value in Fits header.
-  void WriteKey(const char *keyname,LONGLONG val,char* comment=NULL);
+  void WriteKey(const char *keyname,LONGLONG val,const char* comment=NULL);
   //! Write a string value in Fits header.
-  void WriteKey(const char *keyname,string val,char* comment=NULL);
+  void WriteKey(const char *keyname,string val,const char* comment=NULL);
   //! Write a character string value in Fits header.
-  inline void WriteKey(const char *keyname,char* val,char* comment=NULL)
+  inline void WriteKey(const char *keyname,const char* val,const char* comment=NULL)
                       {string dum=val; WriteKey(keyname,dum,comment);}
   //! Set debug level
@@ -93,5 +93,5 @@
   inline void SetExtName(string extname=string("")) {ExtName = extname;}
   //! Set the FITS table extension name
-  inline void SetExtName(char* extname="") {ExtName = extname;}
+  inline void SetExtName(const char* extname="") {ExtName = extname;}
 
   //! Add a new column to the FITS table and return its number (see addcol).
Index: /trunk/SophyaExt/FitsIOServer/fitsblkrw.h
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsblkrw.h	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitsblkrw.h	(revision 3572)
@@ -159,5 +159,5 @@
       string msg = "FitsBlockRW<std::string>::WriteColumnData() Error: " ;
       msg += buff;
-      sprintf(buff," kk=%ld",kk);  msg += buff;
+      sprintf(buff," kk=%ld",(long)kk);  msg += buff;
       throw FitsIOException(msg);
     }
@@ -187,5 +187,5 @@
       string msg = "FitsBlockRW<std::string>::ReadColumnData() Error: " ;
       msg += buff;
-      sprintf(buff," kk=%ld",kk);  msg += buff;
+      sprintf(buff," kk=%ld",(long)kk);  msg += buff;
       throw FitsIOException(msg);
     }
Index: /trunk/SophyaExt/FitsIOServer/fitsbntbllineRW.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsbntbllineRW.cc	(revision 3571)
+++ /trunk/SophyaExt/FitsIOServer/fitsbntbllineRW.cc	(revision 3572)
@@ -64,5 +64,5 @@
       else if (ss == FitsFile::FitsDataType_char) SfitsCol.push_back(k);
       else {
-	cout << " FITS_XNTuple: colonne fits " << k << " type= " << (int) ss << endl;
+	cout << "FITS_BntblLineReader: colonne fits " << k << " type= " << (int) ss << endl;
 	throw  IOExc("type de champ inconnu");
       }
@@ -113,9 +113,9 @@
 
 
-FITS_BntblLineWriter::FITS_BntblLineWriter(char inputfile[],int dc, int fc,int ic, int lc, int bc, int cc,  vector<string> names,DVList* ptr_dvl,  FitsFile::WriteMode wrm)
+FITS_BntblLineWriter::FITS_BntblLineWriter(const char inputfile[],int dc, int fc,int ic, int lc, int bc, int cc,  vector<string> names,DVList* ptr_dvl,  FitsFile::WriteMode wrm)
 {
   int k;
   int nbcols = dc+fc+ic+cc+lc+bc;
-  if (nbcols !=  names.size())
+  if (nbcols !=  (int)names.size())
     {
       cout << " WARNING: BnTblLineWriter:: length of vector of column names not equal to total number of columns" << endl;
